/*global jQuery*/
/*global define */
/*global window */
/*global this*/
/*global tinymce*/
/*global document*/
/*global momoacgwc_admin*/
/*global console*/
/*global FileReader*/
/*global location*/
/*jslint this*/
/**
 * Woo Product Writer (momoacgwc) Admin Script
 */
jQuery(document).ready(function ($) {
    "use strict";
    function changeAdminTab(hash) {
        var mmtmsTable = $('.momo-be-tab-table');
        mmtmsTable.attr('data-tab', hash);
        mmtmsTable.find('.momo-be-admin-content.active').removeClass('active');
        var ul = mmtmsTable.find('ul.momo-be-main-tab');
        ul.find('li a').removeClass('active');
        $(ul).find('a[href=\\' + hash + ']').addClass('active');
        mmtmsTable.find(hash).addClass('active');
        $("html, body").animate({
            scrollTop: 0
        }, 1000);
    }
    function doNothing() {
        var mmtmsTable = $('.momo-be-tab-table');
        mmtmsTable.attr('data-tab', '#momo-eo-ei-event_card');
        return;
    }
    function init() {
        var hash = window.location.hash;
        if (hash === '' || hash === 'undefined') {
            doNothing();
        } else {
            changeAdminTab(hash);
        }
        $('#momo-be-form .switch-input').each(function () {
            var toggleContainer = $(this).parents('.momo-be-toggle-container');
            var afteryes = toggleContainer.attr('momo-be-tc-yes-container');
            if ($(this).is(":checked")) {
                $('#' + afteryes).addClass('active');
            } else {
                $('#' + afteryes).removeClass('active');
            }
        });
    }
    init();
    $('body').on('change', '#momo-be-form  .switch-input, .momo-be-mb-form .switch-input', function () {
        var toggleContainer = $(this).parents('.momo-be-toggle-container');
        var afteryes = toggleContainer.attr('momo-be-tc-yes-container');
        if ($(this).is(":checked")) {
            $('#' + afteryes).addClass('active');
            $(this).val('on');
        } else {
            $('#' + afteryes).removeClass('active');
            $(this).val('off');
        }
    });
    $('.momo-be-tab-table').on('click', 'ul.momo-be-main-tab li a, a.momo-inside-page-link', function (e) {
        e.preventDefault();
        var href = $(this).attr('href');
        changeAdminTab(href);
        window.location.hash = href;
    });
    $('body').on('click', '.momo-clear-api', function (e) {
        var $parent = $(this).closest('.momo-be-block');
        var $input = $parent.find('input');
        var $masked = $parent.find('.momo-block-with-asterix');
        $input.val('');
        $input.removeClass('momo-hidden');
        $masked.addClass('momo-hidden');
        $input.focus();
    });
    $('body').on('click', '#momo-acg-wc-generate-product', function () {
        var $parent = $(this).closest('.momo-mb-side');
        var $poststuff = $(this).closest('#poststuff');
        var $postBody = $poststuff.find('#post-body-content');
        var $form = $poststuff.closest('form#post');
        var product_id = $form.find('input[name="post_ID"]').val();
        var $msgBox = $parent.find('#momo_be_mb_generate_product_messagebox');
        var $buttonBlock = $(this).closest('.momo-be-side-bottom');
        var $spinner = $buttonBlock.find('span.spinner');
        var title = $postBody.find('input[name="post_title"]').val();
        var language = $parent.find('select[name="momo_be_mb_language"]').val();
        var model = $parent.find('select[name="momo_be_mb_model"]').val();
        var temperature = $parent.find('input[name="momo_be_mb_temperature"]').val();
        var max_tokens = $parent.find('input[name="momo_be_mb_max_tokens"]').val();
        var top_p = $parent.find('input[name="momo_be_mb_top_p"]').val();
        var frequency_penalty = $parent.find('input[name="momo_be_mb_frequency_penalty"]').val();
        var presence_penalty = $parent.find('input[name="momo_be_mb_presence_penalty"]').val();
        var $addImage = $parent.find('input[name="momo_be_generate_image"]');
        var ajaxdata = {};
        ajaxdata.product_id = product_id;
        ajaxdata.language = language;
        ajaxdata.model = model;
        ajaxdata.title = title;
        ajaxdata.temperature = temperature;
        ajaxdata.max_tokens = max_tokens;
        ajaxdata.top_p = top_p;
        ajaxdata.frequency_penalty = frequency_penalty;
        ajaxdata.presence_penalty = presence_penalty;
        if ($addImage.is(":checked")) {
            ajaxdata.addimage = 'on';
        } else {
            ajaxdata.addimage = 'off';
        }
        ajaxdata.security = momoacgwc_admin.momoacgwc_ajax_nonce;
        ajaxdata.action = 'momo_acg_wc_openai_generate_product';
        $.ajax({
            beforeSend: function () {
                $msgBox.html(momoacgwc_admin.generating_product);
                $msgBox.show();
                $spinner.addClass('is-active');
            },
            type: 'POST',
            dataType: 'json',
            url: momoacgwc_admin.ajaxurl,
            data: ajaxdata,
            success: function (data) {
                console.log(data);
                if (data.hasOwnProperty('status') && 'bad' === data.status) {
                    $msgBox.html(data.msg);
                    $msgBox.show();
                } else if (data.hasOwnProperty('status') && 'good' === data.status) {
                    if (null === tinymce.get('content')) {
                        var ohtml = $('#content').val();
                        $('#content').val(ohtml + data.content);
                    } else {
                        var olderHtml = tinymce.get('content').getContent();
                        tinymce.get('content').setContent(olderHtml + data.content);
                    }
                    if (null === tinymce.get('excerpt')) {
                        var ohtmle = $('#excerpt').val();
                        $('#excerpt').val(ohtmle + data.short);
                    } else {
                        var olderHtmlE = tinymce.get('excerpt').getContent();
                        tinymce.get('excerpt').setContent(olderHtmlE + data.short);
                    }
                    $msgBox.html(data.msg);
                    $msgBox.show();
                } else {
                    $msgBox.html(momoacgwc_admin.empty_response);
                    $msgBox.show();
                }
            },
            complete: function () {
                $spinner.removeClass('is-active');
            }
        });
    });
    $('body').on('click', '#momo_acg_wc_import_settings', function (e) {
        e.preventDefault();
        var $block = $(this).closest('.momo-two-column');
        var $parent = $block.closest('.momo-be-main-tabcontent');
        var $working = $parent.find('.momo-be-working');
        var $file = $block.find('input[name="settings[]"]');
        var files = $file.prop('files');
        var acceptable_file_type = $file.data('file_type');
        if (!files) {
            console.log('Missing File.');
            return;
        }
        var file = files[0];
        if (!window.File || !window.FileReader || !window.FileList || !window.Blob) {
            console.log('The File APIs are not fully supported in this browser.');
            return;
        }
        if (file.name.indexOf(acceptable_file_type) === -1) {
            console.log('Only accept ' + acceptable_file_type + ' file format.');
        } else {
            var reader = new FileReader();
            reader.readAsText(file);
            reader.onload = function (reader_event) {
                var jsonData = reader_event.target.result;
                var ajaxdata = {};
                ajaxdata.action = 'momo_acg_wc_import_settings';
                ajaxdata.security = momoacgwc_admin.momoacgwc_ajax_nonce;
                ajaxdata.jsondata = $.parseJSON(jsonData);
                $.ajax({
                    beforeSend: function () {
                        $working.addClass('show');
                    },
                    type: 'POST',
                    url: momoacgwc_admin.ajaxurl,
                    data: ajaxdata,
                    dataType: 'json',
                    success: function (data) {
                        console.log(data.message);
                        location.reload();
                    },
                    complete: function () {
                        $working.removeClass('show');
                    }
                });
            };
        }
    });
});